#!/bin/bash
#
# Simple script to invoke the SsODNet.quaero method 
# to search by name a solar system object.
# (https://ssp.imcce.fr/webservices/ssodnet/api/quaero/)
# J. Berthier, 2019

# Argument
ssoName=$1

# Presence de jq (json command-line parser)
JQ=$(command -v jq)
if [ "x$JQ" == "x" ]; then
  printf "%s\n" "Veuillez installer jq (json command-line parser)"
  exit 1
fi

# Test la presence de l'argument
if [ "x${ssoName}" == "x" ]; then
  printf "%s\n" "Usage: $0 <target>"
  printf "%s\n" " avec: target nom du corps a resoudre, e.g. ceres"
  exit 1
fi

# Function callSsODNet()
callSsODNet()
{
  target=$*
  curl "https://api.ssodnet.imcce.fr/quaero/1/sso?q=${target}" -o /tmp/ssodnet.res >/dev/null 2>&1
  cat /tmp/ssodnet.res | ${JQ} '.data[] | {type, name, classes, aliases}'
  #rm -f /tmp/ssodnet.res
}

targets=$(callSsODNet ${ssoName})
printf "%s\n" "${targets}"
